tigase.util.setup

## Class SetupHelper

- java.lang.Object
- - tigase.util.setup.SetupHelper

-     public class SetupHelper
      extends Object

  Created by andrzej on 30.03.2017.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SetupHelper.HttpSecurity`
    `static class` | `SetupHelper.RestApiSecurity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetupHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BeanDefinition` | `convertToBeanDefinition(Class<?> cls)`
    `static ConfigBuilder` | `generateConfig(ConfigTypeEnum configType, String dbUri, boolean clusterMode, boolean acs, Optional<Set<String>> optionalComponentsOption, Optional<Set<String>> forceEnabledComponentsOptions, Optional<Set<String>> pluginsOption, String defaultVirtualHost, Optional<BareJID[]> admins, Optional<SetupHelper.HttpSecurity> httpSecurity)`
    `static List<BeanDefinition>` | `getAvailableBeans(Class processorClazz)`
    `static List<BeanDefinition>` | `getAvailableBeans(Class processorClazz, Class componentClazz)`
    `static List<BeanDefinition>` | `getAvailableComponents()`
    `static List<BeanDefinition>` | `getAvailableProcessors(Class componentClazz, Class processorClazz)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetupHelper

          public SetupHelper()

  - ### Method Detail

    - #### convertToBeanDefinition

          public static BeanDefinition convertToBeanDefinition(Class<?> cls)

    - #### generateConfig

          public static ConfigBuilder generateConfig(ConfigTypeEnum configType,
                                                     String dbUri,
                                                     boolean clusterMode,
                                                     boolean acs,
                                                     Optional<Set<String>> optionalComponentsOption,
                                                     Optional<Set<String>> forceEnabledComponentsOptions,
                                                     Optional<Set<String>> pluginsOption,
                                                     String defaultVirtualHost,
                                                     Optional<BareJID[]> admins,
                                                     Optional<SetupHelper.HttpSecurity> httpSecurity)

    - #### getAvailableBeans

          public static List<BeanDefinition> getAvailableBeans(Class processorClazz)

    - #### getAvailableBeans

          public static List<BeanDefinition> getAvailableBeans(Class processorClazz,
                                                               Class componentClazz)

    - #### getAvailableComponents

          public static List<BeanDefinition> getAvailableComponents()

    - #### getAvailableProcessors

          public static List<BeanDefinition> getAvailableProcessors(Class componentClazz,
                                                                    Class processorClazz)

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.